<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* videoin-form-edit.twig */
class __TwigTemplate_a1786b6ade0baffc90e705561573671f94559b6d2927639218845c435acbc406 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 9
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 10
        $context["forms"] = $this->loadTemplate("forms.twig", "videoin-form-edit.twig", 10)->unwrap();
        // line 9
        $this->parent = $this->loadTemplate("form-base.twig", "videoin-form-edit.twig", 9);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 12
    public function block_formTitle($context, array $blocks = [])
    {
        // line 13
        echo "    ";
        echo __("Edit Video In");
    }

    // line 16
    public function block_formHtml($context, array $blocks = [])
    {
        // line 17
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"videoinEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 19
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("module.widget.edit", ["id" => $this->getAttribute($this->getAttribute(($context["module"] ?? null), "widget", []), "widgetId", [])]), "html", null, true);
        echo "\">
                ";
        // line 20
        ob_start(function () { return ''; });
        echo __("Input");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 21
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Which device input should be shown");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 22
        echo "                ";
        ob_start(function () { return ''; });
        echo __("HDMI");
        $context["hdmi"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 23
        echo "                ";
        ob_start(function () { return ''; });
        echo __("RGB");
        $context["rgb"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 24
        echo "                ";
        ob_start(function () { return ''; });
        echo __("DVI");
        $context["dvi"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 25
        echo "                ";
        ob_start(function () { return ''; });
        echo __("DP");
        $context["dp"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 26
        echo "                ";
        ob_start(function () { return ''; });
        echo __("OPS");
        $context["ops"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 27
        echo "                ";
        $context["options"] = [0 => ["sourceId" =>         // line 28
($context["hdmi"] ?? null), "source" => ($context["hdmi"] ?? null)], 1 => ["sourceId" =>         // line 29
($context["rgb"] ?? null), "source" => ($context["rgb"] ?? null)], 2 => ["sourceId" =>         // line 30
($context["dvi"] ?? null), "source" => ($context["dvi"] ?? null)], 3 => ["sourceId" =>         // line 31
($context["dp"] ?? null), "source" => ($context["dp"] ?? null)], 4 => ["sourceId" =>         // line 32
($context["ops"] ?? null), "source" => ($context["ops"] ?? null)]];
        // line 34
        echo "                ";
        echo $context["forms"]->getdropdown("sourceId", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "sourceId"], "method"), ($context["options"] ?? null), "sourceId", "source", ($context["helpText"] ?? null), "", "required");
        echo "

                ";
        // line 36
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 37
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 38
        echo "                ";
        echo $context["forms"]->getcheckbox("useDuration", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getUseDuration", [], "method"), ($context["helpText"] ?? null));
        echo "

                ";
        // line 40
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 41
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                ";
        echo $context["forms"]->getnumber("duration", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getDuration", [], "method"), ($context["helpText"] ?? null), "duration-fields", "required");
        echo "

                ";
        // line 44
        ob_start(function () { return ''; });
        echo __("Show Full Screen?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 45
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Should the video expand over the top of existing content and show in full screen?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 46
        echo "                ";
        echo $context["forms"]->getcheckbox("showFullScreen", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "showFullScreen", 1 => 0], "method"), ($context["helpText"] ?? null));
        echo "

                ";
        // line 48
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 50
        echo "
                ";
        // line 51
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 52
        echo "                ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 53
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 54
        echo "                ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 55
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 56
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 57
($context["inheritOption"] ?? null)]];
        // line 59
        echo "                ";
        echo $context["forms"]->getdropdown("enableStat", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => $this->getAttribute(($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method")], "method"), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null));
        echo "

                ";
        // line 61
        ob_start(function () { return ''; });
        echo __("This Module is compatible with webOS and Tizen Players only");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 62
        echo "                ";
        echo $context["forms"]->getmessage(($context["message"] ?? null), "alert alert-info");
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "videoin-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  197 => 62,  193 => 61,  187 => 59,  185 => 57,  184 => 56,  183 => 55,  181 => 54,  176 => 53,  171 => 52,  167 => 51,  164 => 50,  159 => 49,  155 => 48,  149 => 46,  144 => 45,  140 => 44,  134 => 42,  129 => 41,  125 => 40,  119 => 38,  114 => 37,  110 => 36,  104 => 34,  102 => 32,  101 => 31,  100 => 30,  99 => 29,  98 => 28,  96 => 27,  91 => 26,  86 => 25,  81 => 24,  76 => 23,  71 => 22,  66 => 21,  62 => 20,  58 => 19,  54 => 17,  51 => 16,  46 => 13,  43 => 12,  38 => 9,  36 => 10,  30 => 9,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "videoin-form-edit.twig", "/home/mgatv524/public_html/edurocha/modules/videoin-form-edit.twig");
    }
}
